FitTrackInfo.FitTrackInfo Class Reference
Inheritance diagram for FitTrackInfo.FitTrackInfo:

## Public Member Functions

def | __init__
def | clean
def | Print
def | getTrIDs
| returns list of keys __info . More...
def | getNtracks
def | getChi2Ndf
def | getNdf
def | compareTracks
def | getPosDirPval
def | getVertex
def | getDoca
def | myVertex2
def | readEvent
def | createVertex
def | addNewTrack

## Public Attributes

| tree
| debug
| count
| Momentum
| Direction
| Position
| Vertex
| Doca
| vertexEFlag

## Private Attributes

| __info

## Detailed Description

Definition at line 5 of file FitTrackInfo.py.

## Constructor & Destructor Documentation

def FitTrackInfo.FitTrackInfo.__init__ | ( |  | self,
|  |  | tree,
|  |  | debug = `0`
| ) |  |

Definition at line 7 of file FitTrackInfo.py.

## Member Function Documentation

def FitTrackInfo.FitTrackInfo.addNewTrack | ( |  | self,
|  |  | mcTrID,
|  |  | position,
|  |  | direction,
|  |  | Pval,
|  |  | ndf,
|  |  | chi2,
|  |  | verb = `True`
| ) |  |

Definition at line 147 of file FitTrackInfo.py.

References FitTrackInfo.FitTrackInfo.__info, FitTrackInfo.FitTrackInfo.Direction, FitTrackInfo.FitTrackInfo.Momentum, and FitTrackInfo.FitTrackInfo.Position.

def FitTrackInfo.FitTrackInfo.clean | ( |  | self | ) |

Definition at line 20 of file FitTrackInfo.py.

References FitTrackInfo.FitTrackInfo.count, FitTrackInfo.FitTrackInfo.Doca, and FitTrackInfo.FitTrackInfo.Vertex.

def FitTrackInfo.FitTrackInfo.compareTracks | ( |  | self,
|  |  | tid,
|  |  | Pos,
|  |  | Dir,
|  |  | Pval
| ) |  |

Definition at line 54 of file FitTrackInfo.py.

References FitTrackInfo.FitTrackInfo.__info, FitTrackInfo.FitTrackInfo.Direction, FitTrackInfo.FitTrackInfo.Momentum, and FitTrackInfo.FitTrackInfo.Position.

def FitTrackInfo.FitTrackInfo.createVertex | ( |  | self,
|  |  | tid1,
|  |  | tid2,
|  |  | flag = `0`
| ) |  |

Definition at line 142 of file FitTrackInfo.py.

References FitTrackInfo.FitTrackInfo.__info, FitTrackInfo.FitTrackInfo.Doca, FitTrackInfo.FitTrackInfo.myVertex2(), FitTrackInfo.FitTrackInfo.Vertex, and FitTrackInfo.FitTrackInfo.vertexEFlag.

def FitTrackInfo.FitTrackInfo.getChi2Ndf | ( |  | self,
|  |  | tid
| ) |  |

Definition at line 48 of file FitTrackInfo.py.

References FitTrackInfo.FitTrackInfo.__info.

def FitTrackInfo.FitTrackInfo.getDoca | ( |  | self | ) |

Definition at line 69 of file FitTrackInfo.py.

References FitTrackInfo.FitTrackInfo.Doca.

def FitTrackInfo.FitTrackInfo.getNdf | ( |  | self,
|  |  | tid
| ) |  |

Definition at line 51 of file FitTrackInfo.py.

References FitTrackInfo.FitTrackInfo.__info.

def FitTrackInfo.FitTrackInfo.getNtracks | ( |  | self | ) |

Definition at line 45 of file FitTrackInfo.py.

References FitTrackInfo.FitTrackInfo.__info.

def FitTrackInfo.FitTrackInfo.getPosDirPval | ( |  | self,
|  |  | tid
| ) |  |

Definition at line 62 of file FitTrackInfo.py.

References FitTrackInfo.FitTrackInfo.__info, FitTrackInfo.FitTrackInfo.Direction, FitTrackInfo.FitTrackInfo.Momentum, and FitTrackInfo.FitTrackInfo.Position.

def FitTrackInfo.FitTrackInfo.getTrIDs | ( |  | self | ) |

returns list of keys __info .

Returns
  list of MCtrackIDs of fitted tracks.

Definition at line 39 of file FitTrackInfo.py.

References FitTrackInfo.FitTrackInfo.__info.

def FitTrackInfo.FitTrackInfo.getVertex | ( |  | self | ) |

Definition at line 66 of file FitTrackInfo.py.

References FitTrackInfo.FitTrackInfo.Vertex.

def FitTrackInfo.FitTrackInfo.myVertex2 | ( |  | self,
|  |  | t1,
|  |  | t2
| ) |  |

Definition at line 72 of file FitTrackInfo.py.

References FitTrackInfo.FitTrackInfo.debug, FitTrackInfo.FitTrackInfo.Direction, and FitTrackInfo.FitTrackInfo.Position.

def FitTrackInfo.FitTrackInfo.Print | ( |  | self | ) |

Definition at line 29 of file FitTrackInfo.py.

References FitTrackInfo.FitTrackInfo.__info, FitTrackInfo.FitTrackInfo.Direction, FitTrackInfo.FitTrackInfo.Momentum, and FitTrackInfo.FitTrackInfo.Position.

def FitTrackInfo.FitTrackInfo.readEvent | ( |  | self | ) |

Definition at line 113 of file FitTrackInfo.py.

References FitTrackInfo.FitTrackInfo.__info, FitTrackInfo.FitTrackInfo.clean(), FitTrackInfo.FitTrackInfo.createVertex(), FitTrackInfo.FitTrackInfo.Direction, FitTrackInfo.FitTrackInfo.Momentum, and FitTrackInfo.FitTrackInfo.Position.

## Member Data Documentation

FitTrackInfo.FitTrackInfo.__info

private

Definition at line 14 of file FitTrackInfo.py.

FitTrackInfo.FitTrackInfo.count

Definition at line 10 of file FitTrackInfo.py.

FitTrackInfo.FitTrackInfo.debug

Definition at line 9 of file FitTrackInfo.py.

FitTrackInfo.FitTrackInfo.Direction

Definition at line 12 of file FitTrackInfo.py.

FitTrackInfo.FitTrackInfo.Doca

Definition at line 16 of file FitTrackInfo.py.

FitTrackInfo.FitTrackInfo.Momentum

Definition at line 11 of file FitTrackInfo.py.

FitTrackInfo.FitTrackInfo.Position

Definition at line 13 of file FitTrackInfo.py.

FitTrackInfo.FitTrackInfo.tree

Definition at line 8 of file FitTrackInfo.py.

FitTrackInfo.FitTrackInfo.Vertex

Definition at line 15 of file FitTrackInfo.py.

FitTrackInfo.FitTrackInfo.vertexEFlag

Definition at line 18 of file FitTrackInfo.py.

The documentation for this class was generated from the following file:

- FitTrackInfo.py